## WebKitDOMAttr WebKitDOMAttr |

## Functions

gchar * | webkit_dom_attr_get_name ()
gboolean | webkit_dom_attr_get_specified ()
gchar * | webkit_dom_attr_get_value ()
void | webkit_dom_attr_set_value ()
WebKitDOMElement * | webkit_dom_attr_get_owner_element ()
gchar * | webkit_dom_attr_get_namespace_uri ()
gchar * | webkit_dom_attr_get_prefix ()
gchar * | webkit_dom_attr_get_local_name ()

## Properties

gchar * | local-name | Read
gchar * | name | Read
gchar * | namespace-uri | Read
WebKitDOMElement * | owner-element | Read
gchar * | prefix | Read
gboolean | specified | Read
gchar * | value | Read / Write

## Types and Values

struct | WebKitDOMAttr

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMAttr

## Implemented Interfaces

WebKitDOMAttr implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_attr_get_name ()

    gchar *
    webkit_dom_attr_get_name (WebKitDOMAttr *self);

`webkit_dom_attr_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gchar

### webkit_dom_attr_get_specified ()

    gboolean
    webkit_dom_attr_get_specified (WebKitDOMAttr *self);

`webkit_dom_attr_get_specified` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gboolean

### webkit_dom_attr_get_value ()

    gchar *
    webkit_dom_attr_get_value (WebKitDOMAttr *self);

`webkit_dom_attr_get_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gchar

### webkit_dom_attr_set_value ()

    void
    webkit_dom_attr_set_value (WebKitDOMAttr *self,
                               const gchar *value,
                               GError **error);

`webkit_dom_attr_set_value` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |
value | A gchar |
error | GError |

### webkit_dom_attr_get_owner_element ()

    WebKitDOMElement *
    webkit_dom_attr_get_owner_element (WebKitDOMAttr *self);

`webkit_dom_attr_get_owner_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_attr_get_namespace_uri ()

    gchar *
    webkit_dom_attr_get_namespace_uri (WebKitDOMAttr *self);

`webkit_dom_attr_get_namespace_uri` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gchar

Since: 2.14

### webkit_dom_attr_get_prefix ()

    gchar *
    webkit_dom_attr_get_prefix (WebKitDOMAttr *self);

`webkit_dom_attr_get_prefix` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gchar

Since: 2.14

### webkit_dom_attr_get_local_name ()

    gchar *
    webkit_dom_attr_get_local_name (WebKitDOMAttr *self);

`webkit_dom_attr_get_local_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gchar

Since: 2.14

## Types and Values

### struct WebKitDOMAttr

    struct WebKitDOMAttr;

## Property Details

### The `“local-name”` property

      “local-name”               gchar *

read-only gchar* Attr:local-name.

Flags: Read

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-only gchar* Attr:name.

Flags: Read

Default value: ""

### The `“namespace-uri”` property

      “namespace-uri”            gchar *

read-only gchar* Attr:namespace-uri.

Flags: Read

Default value: ""

### The `“owner-element”` property

      “owner-element”            WebKitDOMElement *

read-only WebKitDOMElement* Attr:owner-element.

Flags: Read

### The `“prefix”` property

      “prefix”                   gchar *

read-only gchar* Attr:prefix.

Flags: Read

Default value: ""

### The `“specified”` property

      “specified”                gboolean

read-only gboolean Attr:specified.

Flags: Read

Default value: FALSE

### The `“value”` property

      “value”                    gchar *

read-write gchar* Attr:value.

Flags: Read / Write

Default value: ""